Package Details: topydo-git 0.10.1.r71.g6383df7-1

Git Clone URL: https://aur.archlinux.org/topydo-git.git (read-only)
Package Base: topydo-git
Description: topydo is a todo list application using the todo.txt format.
Upstream URL: https://github.com/bram85/topydo
Licenses: GPLv3
Provides: topydo
Submitter: regnat
Maintainer: kmacleod
Last Packager: kmacleod
Votes: 6
Popularity: 0.000015
First Submitted: 2014-12-03 22:55
Last Updated: 2017-03-20 15:38

Latest Comments

kmacleod commented on 2017-03-20 16:56

Thanks, updated to remove python-six dependency

mruwek commented on 2017-03-20 15:08

Just for the record: topydo no longer depends (directly) on python-six

kmacleod commented on 2016-01-04 02:41

Adopted. Package updated to python 3.

regnat commented on 2015-12-30 11:41

I'm not using arch any more, so I disown this package, feel free to adopt it

kmacleod commented on 2015-11-18 01:40

topydo was updated to 0.7 on github. Unfortunately, if using python2 (as this package currently does), the update introduces the package 'ushlex' which is not available in the AUR. Fortunately it seems to work fine if switched over to python 3 (python) and there's no dependency on ushlex.

I rebuilt and installed with python 3, and added 'python-arrow' dependency, and it seems to work. Updated PKGBUILD file is at http://pastebin.com/wiX4Jnzk

regnat commented on 2015-08-21 02:34

kmacleod : I've updated the PKGBUILD, should be good now

kmacleod commented on 2015-08-21 01:59

Also: python2-six

kmacleod commented on 2015-08-21 01:57

Thanks for putting this in. This seems trivial, but I was putting this on a new system and there is a dependency on python2-setuptools.